Subject: Re: file-roller missing dependencies
To: None <>
From: Eric Gillespie <>
List: tech-pkg
Date: 01/11/2003 10:36:59
Julio Merino <> writes:

> Does the file-roller binary change, depending on which archivers
> were present at compile time? If that is not the case, we could
> simply recommend the administrator through a MESSAGE to install as
> many compression tools as he wants. (and probably depend on the most
> common ones, i.e, gzip, bzip2, zip).

Ah, should have thought of that.  The binary does not change; it
doesn't even try to detect any of the archivers at build-time.  I
would say that no dependencies are necessary by default, since in
that case it can still create tar archives compresses with gzip
or bzip2.  That is a reasonable default.  The note in MESSAGE
ought to take care of the rest.

A more serious problem is pkg/19788.

Eric Gillespie <*>

Build a fire for a man, and he'll be warm for a day.  Set a man on
fire, and he'll be warm for the rest of his life. -Terry Pratchett